clear all;
clc;

%% steps per half period
N=32;
%% sub-steps per step
M=8;
%% amplitude
A=1010;

%% zoomer modulation depth
x=0.37;


%% generate sin/cos
NM=N*M;
a=(0:(N))./N.*pi;
s=sin(a);
c=cos(a);

%% generate modulation function
b=(0:(N))/N*pi*2;
m=(1-x)+sin(b)*x;

%% modulate
s=s.*m;
c=c.*m;

%% scale to amplitude
x=A/max(abs([s c]));
s=s.*x;
c=c.*x;

%% plot result
figure(1);
plot(s,'b');
hold on;
plot(c,'r');
hold off;

%% generate sine differences
ss=round(s(1));
sdel=[];
sn=[];
for i=1:N
    sdel(i)=round((s(i+1)-ss)/M);
    
    sn(i)=ss;
    ss=ss+sdel(i)*M;
end

%% and cosine
cc=sn(N/2+1);
cdel=[];
cn=[];
for i=1:N
    cdel(i)=round((c(i+1)-cc)/M);
    
    cn(i)=cc;
    cc=cc+cdel(i)*M;
   
    if (i==N)
        id='others';
    else
        id=num2str(i-1);
    end
    disp(['when ' id ' => sdel := ' num2str(sdel(i)) '; cdel := ' num2str(cdel(i)) ';']);
end

%% plot lookup preview
figure(2);
plot(sn,'b')
hold on;
plot(cn,'r');
hold off;